## jellyfish 2.3.0

=== doc/Makefile ===
L2M = latex2man -t transfile
MI = makeinfo
PDFLATEX = pdflatex
M4 = m4

TARGETS = jellyfish.man jellyfish.html jellyfish.pdf
all: $(TARGETS)

man: jellyfish.man
	man ./$<

options.tex: generate_options_tex.sh
	sh $< > $@

%-full.tex: %.tex options.tex
	$(M4) $< > $@

%.man: %-full.tex
	$(L2M) $< $@

%.html: %-full.tex
	$(L2M) -H $< $@

%.texi: %-full.tex
	$(L2M) -T $< $@

%.info: %.texi
	$(MI) --force $< $@

%.latex: %-full.tex
	$(L2M) -L $< $@

%.pdf: %.latex
	$(PDFLATEX) $<

clean:
	rm -f $(TARGETS) *-full.tex options.tex

=== examples/count_in_file/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: count_in_file
clean:
	rm -f *.o count_in_file

=== examples/jf_count_dump/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: jf_count_dump
clean:
	rm -f *.o jf_count_dump

=== examples/query_per_sequence/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: query_per_sequence
query_per_sequence: query_per_sequence.cc sequence_mers.hpp
clean:
	rm -f *.o query_per_sequence

=== debian/changelog ===
jellyfish (2.3.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:06 +0100

jellyfish (2.3.0-4) unstable; urgency=medium

  * Remove NEWS.Debian now that we ship the python module again.
  * Force the use of Bash for testing

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 16:19:39 +0100

jellyfish (2.3.0-3) unstable; urgency=medium

  * Upstream only supports AMD64 (Closes: #941920)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 14:23:43 +0100

jellyfish (2.3.0-2) unstable; urgency=medium

  * Restore jellyfish-examples, needed for the autopkgtest (Closes: #941262)
  * Enable an additional two test categories in the autopkgtests
  * Enabled htslib, to read SAM/BAM/CRAM files
  * Restore python3-dna-jellyfish package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 27 Sep 2019 18:29:29 +0200

jellyfish (2.3.0-1) unstable; urgency=medium

  * Team upload

  [Andreas Tille]
  * Install config.h which is needed by sailfish package
  * New upstream version
  * debhelper-compat 12

  [Steffen Moeller]
  * Standards-Version: 4.4.0
  * d/u/metadata: Added ref to conda
  * deactivated installation of examples, which have changed considerably
  * removed build-dependency on python2 (prime reason to upload)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:37:07 +0200

=== debian/control ===
Source: jellyfish
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shaun Jackman <sjackman@debian.org>,
           Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               yaggo,
               pkg-config,
               bc,
               time,
               procps,
               swig,
               python3-all-dev,
               dh-python,
               perl,
               chrpath,
               libhts-dev,
               dos2unix,
               samtools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/jellyfish
Vcs-Git: https://salsa.debian.org/med-team/jellyfish.git
Homepage: https://www.cbcb.umd.edu/software/jellyfish/

Package: jellyfish
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjellyfish-2.0-2 (= ${binary:Version})
Description: count k-mers in DNA sequences
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.

Package: libjellyfish-2.0-2
Architecture: amd64
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: count k-mers in DNA sequences (dynamic library of jellyfish)
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This package contains the dynamic library the main executable of
 jellyfish is linked to.

Package: libjellyfish-2.0-dev
Architecture: amd64
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libjellyfish-2.0-2 (= ${binary:Version})
Description: count k-mers in DNA sequences (development files of jellyfish)
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This package contains the development files (static library and
 header files)

Package: python3-dna-jellyfish
Architecture: amd64
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: count k-mers in DNA sequences (Python bindings of jellyfish)
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This package contains the Python bindings of jellyfish.

Package: libjellyfish-perl
Architecture: amd64
Multi-Arch: same
Section: perl
Depends: ${perl:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: count k-mers in DNA sequences (Perl bindings of jellyfish)
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This package contains the Perl bindings of jellyfish.

Package: jellyfish-examples
Architecture: amd64
Depends: jellyfish,
         ${shlibs:Depends},
         ${misc:Depends}
Description: count k-mers in DNA sequences (examples for testing)
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This package contains examples to test the package

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

build3vers := $(shell py3versions -sv)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DH_OPTIONS
export PKG_CONFIG_LIBDIR=${CURDIR}
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=true
export PKG_CONFIG_SYSROOT_DIR=${CURDIR}/debian/tmp/
export PKG_CONFIG_PATH=$(shell pkg-config --variable pc_path pkg-config)
export PERL_MM_OPT=INSTALLDIRS=vendor
export PYBUILD_BUILD_ARGS=build_ext -L${CURDIR}/.libs

export DEB_LDFLAGS_MAINT_APPEND = -lpthread
export PYBUILD_NAME = dna_jellyfish

%:
	dh $@ --with python3

#override_dh_installexamples:
#	dh_installexamples
#	sed '/SRCDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
#	sed '/BUILDDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
#	rm -f debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/swig*

override_dh_auto_install:
	chrpath --delete bin/.libs/*
	dh_auto_install -- install-data
	dh_auto_install --sourcedirectory=swig/python --buildsystem=pybuild
	dh_auto_install --sourcedirectory=swig/perl5
	chrpath --delete debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.hpp" usr/include/$(DEB_SOURCE) \
		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.h" usr/include/$(DEB_SOURCE) \
		    --movedev config.h usr/include/$(DEB_SOURCE) \
			debian/tmp/usr/lib/*/lib$(DEB_SOURCE)-*.so
	sed -i "/dependency_libs/ s/'.*'/''/" ./debian/libjellyfish-2.0-dev/usr/lib/${DEB_HOST_MULTIARCH}/*.la
	chrpath --delete debian/*/usr/lib/python*/dist-packages/_dna_jellyfish*.so

override_dh_auto_configure:
	dh_auto_configure -- --enable-swig --enable-perl-binding --enable-htslib --enable-python-binding PYTHON=/usr/bin/python3
	dh_auto_configure --sourcedirectory=swig/perl5
	dh_auto_configure --sourcedirectory=swig/python --buildsystem=pybuild

override_dh_clean:
	dh_clean
	if [ -d debian/tmp_save_tests ] ; then \
	    mv debian/tmp_save_tests/* tests ; \
	    rmdir debian/tmp_save_tests ; \
	fi
	rm -f tests/compat.sh
	rm -f swig/python/jellyfish* # swig/python/dna_jellyfish.py
	rm -f swig/perl5/blib/arch/auto/jellyfish/jellyfish.so
	rm -f swig/perl5/blib/bin/.exists
	rm -f swig/perl5/blib/lib/.exists
	rm -f swig/perl5/blib/lib/auto/jellyfish/.exists
	rm -f swig/perl5/blib/man1/.exists
	rm -f swig/perl5/blib/man3/.exists
	rm -f swig/perl5/blib/script/.exists
	rm -f swig/perl5/jellyfish.bs
	rm -f swig/perl5/pm_to_blib
	rm -rf swig/perl5/MYMETA.json swig/perl5/MYMETA.yml swig/perl5/Makefile swig/perl5/blib/



override_dh_auto_build:
	mkdir -p debian/tmp_save_tests
	cp -a tests/* debian/tmp_save_tests
	dh_auto_build --no-parallel -- all bin/generate_sequence bin/test_all bin/fastq2sam
	dh_auto_install -- install-data
	dh_auto_build --sourcedirectory=swig/perl5
	dh_auto_build --sourcedirectory=swig/python --buildsystem=pybuild
#	cd doc ;  RUBYLIB=$PWD PATH=$PATH:../bin make clean all ; cd ..
#	broken

# jellyfish contains a *really* big test which should *not* run on autobuilders
# if you have a *really* large machine you can try to activate this test by
# uncommenting the following.
#override_dh_auto_test:
#	BIG=1 dh_auto_test
#	false

=== debian/watch ===
version=4

https://github.com/gmarcais/Jellyfish/releases .*/[jelyfishv]*\.*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## jellyfish 2.3.1

=== examples/count_in_file/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/ -L/ /g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: count_in_file
clean:
	rm -f *.o count_in_file

=== examples/jf_count_dump/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/ -L/ /g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: jf_count_dump
clean:
	rm -f *.o jf_count_dump

=== examples/query_per_sequence/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/ -L/ /g')
LDLIBS = $(shell pkg-config --libs jellyfish-2.0)

all: query_per_sequence
query_per_sequence: query_per_sequence.cc sequence_mers.hpp
clean:
	rm -f *.o query_per_sequence

=== debian/changelog ===
jellyfish (2.3.1-4build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:21:01 +0000

jellyfish (2.3.1-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:12:43 +0000

jellyfish (2.3.1-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/patches/portability: forwarded upstream.

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * Disable i386 in Salsa CI

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2024 07:54:45 +0100

jellyfish (2.3.1-3) unstable; urgency=medium

  * Forwarded several patches upstream.
  * debian/patches/fix_catch.patch is no longer used, remove it.
  * Point to the Jellyfish 2.0 homepage
  * d/control: simplify architecture specifications by build-dep'ing on
    architecture-is-little-endian.
  * d/patches/drop_distutils: upgrade to setuptools.
  * d/control: s/pkg-config/pkgconf/g
  * d/control: stop building on 32-bit architectures, as per upstream's
    wishes: https://github.com/gmarcais/Jellyfish/pull/202#issuecomment-
    2007544485
  * d/control: undo the t64 migration, no longer needed.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 18:21:25 +0100

jellyfish (2.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064157

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:23:36 +0000

jellyfish (2.3.1-2) unstable; urgency=medium

  [ Zhang Na ]
  * d/control: add loong64 support (Closes: #1059550)

 -- Étienne Mollier <emollier@debian.org>  Mon, 01 Jan 2024 11:43:16 +0100

jellyfish (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * manpage_whatis_entry.patch: reduce.
    Most of the issues it addressed are now sorted, except the "\-"
    separating the whatis field.
  * reproducible.patch: remove: applied upstream.
  * fix_replacement_of_-L_option.patch: remove: applied upstream.
  * patch test_needs_bash: refresh.
  * fix-autoreconf.patch: delete: applied upstream.
  * gcc-12.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 18:21:15 +0100

jellyfish (2.3.0-17) unstable; urgency=medium

  * d/clean: new: cleanup build artifacts. (Closes: #1046793)
  * d/rules: cleanup dh_auto_clean override.
    This is made possible by the introduction of the d/clean file.
  * d/rules: remove config.h from header package.
    This fixes PACKAGE_NAME macro definition collision with potential
    autotools consumers in reverse dependencies, per lintian warning.
  * d/libjellyfish-2.0-2.lintian-overrides: fix broken override.
  * d/libjellyfish-2.0-2.lintian-overrides: remove unused override.
  * d/jellyfish-examples.lintian-overrides: renamed.
    The file is renamed to d/jellyfish.lintian-overrides.  The content is also
    adjusted to reflect that the overriden spelling error moved package.

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Dec 2023 19:11:55 +0100

jellyfish (2.3.0-16) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/rules: output report when tests fail.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Rebuild using gcc-13
    Closes: #1037702

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jul 2023 15:11:33 +0200

jellyfish (2.3.0-15) unstable; urgency=medium

  * Fix dh_missing
    Closes: #1017261

 -- Andreas Tille <tille@debian.org>  Wed, 28 Sep 2022 21:48:56 +0200

jellyfish (2.3.0-14) unstable; urgency=medium

  * Add gcc-12.patch: fix ftbfs with gcc-12.
    Thanks to Guillaume Marçais (Closes: #1012953)
  * d/copyright: identify randomc.h is under GPL-3.
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Jun 2022 23:10:04 +0200

jellyfish (2.3.0-13) unstable; urgency=medium

  * Disable reprotest
  * Use python configuration from autoconf-archive
    Closes: #1009451

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2022 09:28:09 +0200

jellyfish (2.3.0-12) unstable; urgency=medium

  * Do not hardcode Perl version
    Closes: #993326

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:16:42 +0200

jellyfish (2.3.0-11) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Homepage
    Closes: #983273

  [ Étienne Mollier ]
  * d/watch: repair broken link to github
  * add fix-autoreconf.patch; fix ftbfs with autoreconf 2.70  (Closes: #978843)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libjellyfish-2.0-dev: Drop Multi-Arch: same.
    + jellyfish-examples: Add Multi-Arch: foreign.
  * d/control: add myself to uploaders

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Aug 2021 21:01:20 +0200

jellyfish (2.3.0-10) unstable; urgency=medium

  [ Adrian Bunk ]
  * Also fix building with -l and -I in builddir in the existing -L fix
    Closes: #976340

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 12:50:29 +0100

jellyfish (2.3.0-9) unstable; urgency=medium

  * Team upload.
  * Silence additional warning/error appearing with -O3.
    Closes: #973431
  * Restrict to architectures that support the atomic instructions used by
    upstream.
    Closes: #976340

 -- Sascha Steinbiss <satta@debian.org>  Sun, 21 Feb 2021 12:09:45 +0100

jellyfish (2.3.0-8) unstable; urgency=medium

  * Add Breaks+Replaces: jellyfish-examples (<< 2.3.0-7)
    Closes: #976429

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 09:54:41 +0100

jellyfish (2.3.0-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * For jellyfish-examples drop 'jellyfish' to a recommends from a depends.

  [ Nilesh Patra ]
  * Enable build on 32bit architectures
    Closes: #962184

  [ Andreas Tille ]
  * Ignore tests on 32 bit architectures since test data are to big
  * Move some arch dependant binaries from examples to jellyfish package


=== debian/control ===
--- 
+++ 
@@ -2,31 +2,37 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               architecture-is-little-endian,
+               architecture-is-64-bit,
                d-shlibs,
+               autoconf-archive,
                yaggo,
-               pkg-config,
+               pkgconf,
                bc,
                time,
                procps,
                swig,
                python3-all-dev,
-               dh-python,
+               dh-sequence-python3,
+               python3-setuptools,
                perl,
                chrpath,
                libhts-dev,
                dos2unix,
                samtools
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/jellyfish
 Vcs-Git: https://salsa.debian.org/med-team/jellyfish.git
-Homepage: https://www.cbcb.umd.edu/software/jellyfish/
+Homepage: https://www.genome.umd.edu/jellyfish.html
+Rules-Requires-Root: no
 
 Package: jellyfish
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -46,7 +52,10 @@
  format using the "jellyfish dump" command.
 
 Package: libjellyfish-2.0-2
-Architecture: amd64
+Provides: libjellfish-2.0-2t64 (= ${binary:Version})
+Replaces: libjellyfish-2.0-2t64
+Conflicts: libjellyfish-2.0-2t64
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
@@ -70,8 +79,7 @@
  jellyfish is linked to.
 
 Package: libjellyfish-2.0-dev
-Architecture: amd64
-Multi-Arch: same
+Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -94,7 +102,7 @@
  header files)
 
 Package: python3-dna-jellyfish
-Architecture: amd64
+Architecture: any
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
@@ -117,7 +125,7 @@
  This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
-Architecture: amd64
+Architecture: any
 Multi-Arch: same
 Section: perl
 Depends: ${perl:Depends},
@@ -141,10 +149,11 @@
  This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
-Architecture: amd64
-Depends: jellyfish,
-         ${shlibs:Depends},
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: jellyfish
 Description: count k-mers in DNA sequences (examples for testing)
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,11 @@
 export PYBUILD_BUILD_ARGS=build_ext -L${CURDIR}/.libs
 
 export DEB_LDFLAGS_MAINT_APPEND = -lpthread
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-nonnull
 export PYBUILD_NAME = dna_jellyfish
 
 %:
-	dh $@ --with python3
+	dh $@
 
 #override_dh_installexamples:
 #	dh_installexamples
@@ -26,11 +27,19 @@
 #	sed '/BUILDDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
 #	rm -f debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/swig*
 
+override_dh_update_autotools_config:
+	# use python configuration from autoconf-archive
+	mv m4/m4-ax_python_devel.m4 /tmp
+	dh_update_autotools_config
+
 override_dh_auto_install:
 	chrpath --delete bin/.libs/*
 	dh_auto_install -- install-data
 	dh_auto_install --sourcedirectory=swig/python --buildsystem=pybuild
 	dh_auto_install --sourcedirectory=swig/perl5
+	ls -l debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
+	if [ ! -e debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so ] ; then sleep 1; fi
+	chmod +w debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
 	chrpath --delete debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
 	dh_install
 	d-shlibmove --commit \
@@ -47,27 +56,13 @@
 	dh_auto_configure -- --enable-swig --enable-perl-binding --enable-htslib --enable-python-binding PYTHON=/usr/bin/python3
 	dh_auto_configure --sourcedirectory=swig/perl5
 	dh_auto_configure --sourcedirectory=swig/python --buildsystem=pybuild
+	mv /tmp/m4-ax_python_devel.m4 m4
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	if [ -d debian/tmp_save_tests ] ; then \
 	    mv debian/tmp_save_tests/* tests ; \
 	    rmdir debian/tmp_save_tests ; \
 	fi
-	rm -f tests/compat.sh
-	rm -f swig/python/jellyfish* # swig/python/dna_jellyfish.py
-	rm -f swig/perl5/blib/arch/auto/jellyfish/jellyfish.so
-	rm -f swig/perl5/blib/bin/.exists
-	rm -f swig/perl5/blib/lib/.exists
-	rm -f swig/perl5/blib/lib/auto/jellyfish/.exists
-	rm -f swig/perl5/blib/man1/.exists
-	rm -f swig/perl5/blib/man3/.exists
-	rm -f swig/perl5/blib/script/.exists
-	rm -f swig/perl5/jellyfish.bs
-	rm -f swig/perl5/pm_to_blib
-	rm -rf swig/perl5/MYMETA.json swig/perl5/MYMETA.yml swig/perl5/Makefile swig/perl5/blib/
-
-
 
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
@@ -85,3 +80,28 @@
 #override_dh_auto_test:
 #	BIG=1 dh_auto_test
 #	false
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+	echo "Test data are to big for 32bit architectures thus no testing is done"
+else
+	if ! dh_auto_test \
+	; then echo "E: tests failed, ./test-suite.log follows:" \
+	;      cat ./test-suite.log \
+	;      echo "E: end of ./test-suite.log after test failure." \
+	;      exit 1 \
+	; fi
+endif
+endif
+
+override_dh_missing:
+	# Python files are just installed
+	rm -rf debian/tmp/usr/lib/python3/dist-packages
+	# Necessary Perl files are just installed
+	rm -rf debian/tmp/usr/lib/perl/5.*
+	dh_missing
+
+execute_after_dh_install:
+	# Fix PACKAGE_NAME defined in config.h colliding with potential reverse
+	# dependencies autotools invocations, per lintian warning.
+	rm -vf debian/libjellyfish-2.0-dev/usr/include/jellyfish/config.h

=== debian/watch ===
version=4

https://github.com/gmarcais/Jellyfish/tags \
	archive/refs/tags/[vV]?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
